Subject: Re: linux-next: manual merge of the kunit-next tree with the mm tree

From: Shuah Khan <[email-masked]>
Date: Wed, 9 Oct 2024 09:11:19 -0600

On 10/3/24 21:55, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the kunit-next tree got conflicts in:
> 
>    lib/math/Makefile
>    lib/math/tests/Makefile
> 
> between commit:
> 
>    aa2cc84cfeb0 ("lib/math: add int_log test suite")
> 
> from the mm-nonmm-unstable branch of the mm tree and commit:
> 
>    f099bda563dd ("lib: math: Move kunit tests into tests/ subdir")
> 
> from the kunit-next tree.
> 
> I fixed it up (I used the latter version of lib/math/Makefile and see
> below the signature by the patch immediately below) and can carry the
> fix as necessary. This is now fixed as far as linux-next is concerned,
> but any non trivial conflicts should be mentioned to your upstream
> maintainer when your tree is submitted for merging.  You may also want
> to consider cooperating with the maintainer of the conflicting tree to
> minimise any particularly complex conflicts.

Sorry for the delay on this. Thank you for fixing this up.

Andrew,

Looks like we might see more conflicts between mm and kunit trees
with the move from lib/ lib/tests/

I dropped a couple of patches I couldn't apply. Would you like
me to drop this from kunit tree?

Adding David as well for feedback on this.

> 
> rom: Stephen Rothwell <[email-masked]>
> Date: Fri, 4 Oct 2024 13:51:56 +1000
> Subject: [PATCH] fix up for "lib: math: Move kunit tests into tests/ subdir"
> 
> interacting with "lib/math: add int_log test suite" from the mm tree.
> 
> Signed-off-by: Stephen Rothwell <[email-masked]>
> ---
>   lib/Kconfig.debug       | 2 +-
>   lib/math/tests/Makefile | 2 +-
>   2 files changed, 2 insertions(+), 2 deletions(-)
> 
> diff --git a/lib/Kconfig.debug b/lib/Kconfig.debug
> index 9ed36fec4390..d3e44b17876d 100644
> --- a/lib/Kconfig.debug
> +++ b/lib/Kconfig.debug
> @@ -3105,7 +3105,7 @@ config INT_POW_KUNIT_TEST
>   
>   	  If unsure, say N
>   
> -config INT_LOG_TEST
> +config INT_LOG_KUNIT_TEST
>   	tristate "Integer log (int_log) test" if !KUNIT_ALL_TESTS
>   	depends on KUNIT
>   	default KUNIT_ALL_TESTS
> diff --git a/lib/math/tests/Makefile b/lib/math/tests/Makefile
> index 64b9bfe3381d..89a266241e98 100644
> --- a/lib/math/tests/Makefile
> +++ b/lib/math/tests/Makefile
> @@ -2,6 +2,6 @@
>   
>   obj-$(CONFIG_DIV64_KUNIT_TEST)    += div64_kunit.o
>   obj-$(CONFIG_INT_POW_KUNIT_TEST)  += int_pow_kunit.o
> -obj-$(CONFIG_INT_LOG_TEST) += int_log_kunit.o
> +obj-$(CONFIG_INT_LOG_KUNIT_TEST)  += int_log_kunit.o
>   obj-$(CONFIG_MULDIV64_KUNIT_TEST) += mul_u64_u64_div_u64_kunit.o
>   obj-$(CONFIG_RATIONAL_KUNIT_TEST) += rational_kunit.o

thanks,
-- Shuah